; In Dragon Warrior II's main script, text is printed to the main dialogue window with neither sound effects nor automatic line indenting until the first 
; $65 (opening single quote) code point is encountered, upon which both the text printing sound effect and the automatic indenting are enabled for the remainder
; of the current string with no way to revert to silent, non-indented text.
;
; This patch modifies Dragon Warrior II's text engine to make the exisitng $60 code point (one of the various space tiles) disable the text printing sound effect
; and automatic indenting. Subsequent uses of the $65 code point will re-enable these effects. Making use of this new ability requires updating the main script,
; however, so this patch will be of limited interest to non-hackers.


norom

org $3FBD0
base $FBC0

	CMP #$65	; ""
	BEQ +
	CMP #$60	; [space] that doesn't enable sound effects/auto indents
	BEQ +
	BNE ++
+
	JSR $FECB
++

; 0x3FEDB - 0x3FEE9 is unused invalid code that we can overwrite
org $3FEDB
base $FECB

	LDX #$01
	CMP #$60	; if not #$60, must be #$65
	BNE +
	DEX
+
	STX $60C8
	RTS